Bug 860228 - Rendering / performance issues with polymol on GeForce 310 (GT218 / NVA8)
Rendering / performance issues with polymol on GeForce 310 (GT218 / NVA8)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 06:44 EDT by Sandro Mathys
Modified: 2014-02-05 07:18 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:18:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Output of glxinfo (21.49 KB, text/plain)
2012-09-25 06:45 EDT, Sandro Mathys
no flags Details
Xorg.0.log (39.96 KB, text/plain)
2012-09-25 06:46 EDT, Sandro Mathys
no flags Details

  None (edit)
Description Sandro Mathys 2012-09-25 06:44:25 EDT
Description of problem:
During today's test day, 3D performance seemed to generally work well except with pymol. No problems in any of the other 3D test cases.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-1.0.1-6.fc18.x86_64 (i.e. what's included in http://adamwill.fedorapeople.org/graphics_test_week_20120924/20120924-test_days-x86_64.iso)

How reproducible:
Always

Steps to Reproduce:
https://fedoraproject.org/wiki/QA:Testcase_nouveau_3D_pymol
  
Actual results:
Rather slow rendering (might be normal, though - have no reference right now) and flickering (the image seems to be dislocated for like 1/10s every 1-2 seconds). Only the 3D rendered stuff is affected - the window/menu/etc. is not.

Expected results:
Smooth rendering

Additional info:
Smolt Profile: http://www.smolts.org/client/show/pub_a62cdaf6-9160-4e06-9595-19cd83f4b0d0
Comment 1 Sandro Mathys 2012-09-25 06:45:09 EDT
Created attachment 616960 [details]
Output of glxinfo
Comment 2 Sandro Mathys 2012-09-25 06:46:31 EDT
Created attachment 616961 [details]
Xorg.0.log
Comment 3 Jacobo Cabaleiro 2012-09-25 13:29:39 EDT
Observed a similar behaviour on a notebook with a GT 220M.

Pymol viewer window had a top black "margin" of 1 cm (window contents appear downward displaced), and a flickering was present. Flicker period was approx. 1 s. Flicker duration is less than 1/4 of a second. On each blink, top margin disappeared and window contents seemed to be correctly top aligned.

Slow rendering. Rendering update was apparently coincident with flickering.

Tested PyMOL behaviour on my desktop system (F17, same PyMOL version, Core 2 Duo, ATI HD4890), and all these problems were not present (no slowness, no flicker, no displaced window contents).
Comment 4 Jacobo Cabaleiro 2012-09-25 13:37:11 EDT
By the way, except for the offset and blinks, viewer window contents seemd to be OK (no rendering artifacts)
Comment 5 Jacobo Cabaleiro 2012-09-25 18:27:09 EDT
Tested same PyMOL once more with Nouveau TestDay LiveCD on another system (4 years old) and results were somehow "similar". I don't know if this is a problem with PyMOL, but this same PyMOL version in my F17 desktop system apparently works perfectly.

It seemed that when PyMOL was redrawing the viewer window contents, the top black margin appeared for 0.5 - 1 s and window contents were displaced. These happened not only while visualizing 3D contents in the demo (it happens in all the visualization demos), but even in the "splash" contents of the viewer just after having launched PyMOL from cmdline, if I created mouse events (just a click, for example), which probably caused redraws of the viewer window.

Once more, rendering was slow (more or less, 1 FPS on a GeForce GO 7300 + T5500). On one of the runnings, just after using Wizard -> Demo, the black margin was not empty, but 2 horizontal bars appeared on top, with a width of approximately 250 px: one completely empty (top) and the second one filled to 75% (no clue what they are). These 2 bars moved the rest of the contents so that the lower PyMOL> prompt as well as the play, stop etc. buttons (and something more of the lower right info text box) are hidden.
Comment 6 Jacobo Cabaleiro 2012-09-26 07:44:48 EDT
Just as a note, using Nouveau testday LiveCD on a system with radeon driver (HD4890) does not show my "flickering" or the top margin problems [however I belive rendering is not problem free either].
Comment 7 Fedora End Of Life 2013-12-21 03:56:21 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2014-02-05 07:18:52 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.